#!/bin/bash


# A mettre a jour pour un nouveau script
NUM_MAJ=1
MODULE=grr
#placer ici les modifications de fichiers
SYS="/etc/sysconfig/envole"

echo "Application de la mise a jour de $MODULE : maj $NUM_MAJ"
#les modifications de bases de donnees seront effectuees si vous nommez une maj au nom maj_envole_module_numversion.sql
# la base de donnees sera automatiquement sauvegarde

if [ -e $SYS/maj_envole_${MODULE}_${NUM_MAJ}.sql ]
then

cd /root/
## Sauvegarde des bases de donnees en fichiers .sql

PASS=$(echo `grep dbPass /var/www/html/grr/include/connect.inc.php` | cut -d"=" -f2|cut -d'"' -f2)

mysqldump -u$MODULE -p$PASS $MODULE > ${MODULE}_`date +%D | sed 's;/;-;g'`.sql
## Compression des exports en tar.bz2 
tar jcf ${MODULE}_maj_env_${NUM_MAJ}_`date +%D | sed 's;/;-;g'`.sql.tar.bz2 ${MODULE}_`date +%D | sed 's;/;-;g'`.sql
## Suppression des exports non compresses
rm ${MODULE}_`date +%D | sed 's;/;-;g'`.sql

##passage de la maj bdd
#echo "Mise à jour de la base de données avec le fichier $SYS/maj_envole_${MODULE}_${NUM_MAJ}.sql"
mysql $MODULE -u $MODULE -p$PASS < $SYS/maj_envole_${MODULE}_${NUM_MAJ}.sql

fi

if [ -e $SYS/maj_envole_portal_grr_${NUM_MAJ}.sql ]
then

cd /root/
## Sauvegarde des bases de donnees en fichiers .sql
SOURCE="envole"
PASS_ENVOLE=$(echo `grep dbPass /var/www/html/envole/serverdata.php` | cut -d"=" -f2|cut -d'"' -f2)
mysqldump -uenvole -p$PASS_ENVOLE portal > ${SOURCE}_`date +%D | sed 's;/;-;g'`.sql
## Compression des exports en tar.bz2 
tar jcf ${SOURCE}_maj_env_${NUM_MAJ}_`date +%D | sed 's;/;-;g'`.sql.tar.bz2 ${SOURCE}_`date +%D | sed 's;/;-;g'`.sql
## Suppression des exports non compresses
rm ${SOURCE}_`date +%D | sed 's;/;-;g'`.sql
mysql portal -u envole -p$PASS_ENVOLE < $SYS/maj_envole_portal_grr_${NUM_MAJ}.sql

fi

# géré par eolebase
#dpkg-reconfigure locales
#cat /usr/share/i18n/SUPPORTED | grep fr_FR >>/var/lib/locales/supported.d/fr
#locale-gen



# A toujours laisser en fin de script de mise a jour, permet la mise a jour de la base de donnees cel_conf et assure que la mise a jour ne sera pas executee deux fois

PASS_CEL_CONF=$(echo `grep db_pass_cel_conf /var/www/html/envole/connect_cel_conf.php` | cut -d"=" -f2|cut -d'"' -f2)

echo "use cel_conf;  INSERT INTO cel_param ( id , param , affichage , value, writable , visible , categorie )VALUES (NULL , 'version_grr', 'Numero de sous-version GRR pour EnvOLE', '0', '0', '0', 'Etablissement'); UPDATE cel_param SET value='$NUM_MAJ' WHERE param='version_grr' ; " | mysql -u cel_conf --password=$PASS_CEL_CONF > /dev/null
echo "Fin de la mise a jour grr " $NUM_MAJ 
