<?php
#########################################################################
#                            index.php                                  #
#              Dernire modification : 28/03/2008                       #
#                                                                       #
#########################################################################
/*
 * Copyright 2003-2005 Laurent Delineau
 *
 * This file is part of GRR.
 *
 * GRR is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GRR is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GRR; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

require_once("include/config.inc.php");
require_once("include/misc.inc.php");
require_once("include/functions.inc.php");
// Paramtres langage
include "include/language.inc.php";
// Dans le cas d'une base mysql, on teste la bonne installation de la base et on propose une installation automatise.

if ($dbsys == "mysql")
{
  $flag='';
  $correct_install = '';
  $msg='';
  if (@file_exists("include/connect.inc.php"))
    {
      require_once("include/connect.inc.php");
      if (@mysql_connect("$dbHost", "$dbUser", "$dbPass"))
    {
      if (mysql_select_db("$dbDb"))
        {
          // Premier test
          $liste2 = array();
          $tableNames = mysql_list_tables($dbDb);
          $j = '0';

          while ($j < mysql_num_rows($tableNames))
        {
          $liste2[$j] = mysql_tablename($tableNames, $j);
          $j++;
                }
          $j = '0';

          while ($j < count($liste_tables))
        {
          $temp = $liste_tables[$j];
          if (!(in_array($temp, $liste2)))
            {
              $correct_install='no';
              $flag = 'yes';
                    }
          $j++;
                }
                if ($flag == 'yes')
          {
                    $msg = "<p>La connection au serveur $dbsys est tablie mais certaines tables sont absentes de la base $dbDb.</p>";
                    $correct_install = 'no';
          }
            }
      else
        {
          $msg = "<p>La connection au serveur $dbsys est tablie mais impossible de slectionner la base contenant les tables GRR.</p>";
          $correct_install = 'no';
            }
        }
      else
    {
      $msg = "<p>Erreur de connection au serveur $dbsys. Le fichier \"connect.inc.php\" ne contient peut-tre pas les bonnes informations de connection.</p>";
      $correct_install = 'no';
        }
    }
  else
    {
      $msg = "<p>Le fichier \"connect.inc.php\" contenant les informations de connection est introuvable.</p>";
      $correct_install = 'no';
    }
  if ($correct_install=='no')
    {
      echo begin_page("GRR (Gestion et Rservation de Ressources) ");
      echo "<h1 class=\"center\">Gestion et Rservation de Ressources</h1>";
      echo "<font face=\"Arial, Helvetica, sans-serif\" color=\"red\"><center><b>".$msg."</center></b></font>";
      echo "<ul><li>Soit vous procdez  une mise  jour vers une nouvelle version de GRR. Dans ce cas, vous devez procder  une mise  jour de la base de donnes MySql.<br />";
      echo "<center><b><a href='./admin_maj.php'>Mettre  jour la base Mysql</a></b></center><br /></li>";
      echo "<li>Soit l'installation de GRR n'est peut-tre pas termine. Vous pouvez procder  une installation/rinstallation de la base.<br />";
      echo "<center><a href='install_mysql.php'>Installer la base $dbsys</a></center></li></ul>";
        ?>
        </body>
    </html>
        <?php
        die();
    }
}
include "include/connect.inc.php";
require_once("include/$dbsys.inc.php");
require_once("./include/session.inc.php");
// Settings
require_once("./include/settings.inc.php");
//Chargement des valeurs de la table settingS/

if (!loadSettings())
{
  die("Erreur chargement settings");
}

$cook = session_get_cookie_params();

// Cas d'une authentification CAS
if ((getSettingValue('sso_statut') == 'cas_visiteur') or (getSettingValue('sso_statut') == 'cas_utilisateur'))
{
  require_once("./include/cas.inc.php");
  // A ce stade, l'utilisateur est authentifi par CAS
  $password = '';
  $user_ext_authentifie = 'cas';
  $result = grr_opensession($login,$password,$user_ext_authentifie) ;
  // On crit les donnes de session et ferme la session
  session_write_close();
  $message = '';
  if ($result=="2")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= " ".get_vocab("wrong_pwd");
    }
  else if ($result == "3")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />". get_vocab("importation_impossible");
    }
  else if ($result == "4")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= " ".get_vocab("causes_possibles");
      $message .= "<br />- ".get_vocab("wrong_pwd");
      $message .= "<br />- ". get_vocab("echec_authentification_ldap");
  }
  else if ($result != "1")
  {
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />Cause inconnue.";
  }

  if ($message != '')
    {
      echo $message;
      die();
    }


  if (grr_resumeSession() )
  {
   header("Location: ".page_accueil()."");
  }

// Cas d'une authentification Lemonldap
}
else if ((getSettingValue('sso_statut') == 'lemon_visiteur') or (getSettingValue('sso_statut') == 'lemon_utilisateur'))
{
  if (isset($_GET['login'])) $login = $_GET['login']; else $login = "";
  if (isset($_COOKIE['user'])) $cookie_user=$_COOKIE['user']; else $cookie_user="";
  if(empty($cookie_user) or $cookie_user != $login)
    {
      header("Location: ./login.php");
      // Echec de l'authentification lemonldap
      die();
      echo "</body></html>";
    }
  // A ce stade, l'utilisateur est authentifi par Lemonldap
  $user_ext_authentifie = 'lemon';
  $password = '';
  $result = grr_opensession($login,$password,$user_ext_authentifie) ;
  // On crit les donnes de session et ferme la session
  session_write_close();
  $message = '';
  if ($result=="2")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= " ".get_vocab("wrong_pwd");
    }
  else if ($result == "3")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />". get_vocab("importation_impossible");
    }
  else if ($result != "1")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />Cause inconnue.";
    }

  if ($message != '')
    {
      echo $message;
      die();
    }


  if (grr_resumeSession() )
  {
   header("Location: ".page_accueil()."");
  }
// Cas d'une authentification LCS
}
else if (getSettingValue('sso_statut') == 'cas_envole')
{
  require_once("./include/cas.inc.php");
  $login=$attributs['utilisateur']['user'][0];

$user=$attributs['utilisateur']['user'][0];
$password = "anonemptypassword" . time();
$profil=$attributs['utilisateur']['profil'][0];
$firstname=$attributs['utilisateur']['firstname'][0];
$lastname=$attributs['utilisateur']['lastname'][0];

$email=$attributs['utilisateur']['email'][0];
$fullname=$attributs['utilisateur']['fullname'][0];
     
      $cel_tab_login["nom"] = $lastname;
$cel_tab_login["email"] = $email;
$cel_tab_login["prenom"]= $attributs['utilisateur']['lastname'][0];

   //   $long = strlen($lastname) - strlen($firstname);
$cel_tab_login["firstname"] = $firstname;
$cel_tab_login["statut"] = $profil;
       // Etablir  nouveau la connexion  la base
      if (empty($db_nopersist))
          $db_c = mysql_pconnect($dbHost, $dbUser, $dbPass);
      else
          $db_c = mysql_connect($dbHost, $dbUser, $dbPass);
      if (!$db_c || !mysql_select_db ($dbDb)) {
          echo "\n<p>\n" . get_vocab('failed_connect_db') . "\n";
          exit;
      }
      if ($profil=='eleves')
         $user_ext_authentifie = 'envole_eleve';
      else if ($profil=='professeurs')
	      $user_ext_authentifie = 'envole_non_eleve';
       else if ($profil=='administrateur')
	      $user_ext_authentifie = 'envole_admin';

      $password = '';
  //    echo "login".$login."type".$user_ext_authentifie.print_r($cel_tab_login);
      $result = grr_opensession($login,$password,$user_ext_authentifie,$cel_tab_login) ;
      // On crit les donnes de session et ferme la session
      session_write_close();
    //  echo $result;exit;
      $message = '';
      if ($result=="2") {
          $message = get_vocab("echec_connexion_GRR");
          $message .= " ".get_vocab("wrong_pwd");
      } else if ($result == "3") {
           $message = get_vocab("echec_connexion_GRR");
           $message .= "<br />". get_vocab("importation_impossible");
      } else if ($result == "4") {
          $message = get_vocab("echec_connexion_GRR");
          $message .= " ".get_vocab("causes_possibles");
          $message .= "<br />- ".get_vocab("wrong_pwd");
         $message .= "<br />- ". get_vocab("echec_authentification_cas");
      }
        else if ($result == "5")
      {
        $message = get_vocab("echec_connexion_GRR");
        $message .= "<br />". get_vocab("connexion_a_grr_non_autorisee");
      }
      if ($message != '') {
          fatal_error(1, $message);
          die();
      }
      if (grr_resumeSession() ) {
           header("Location: ".page_accueil()."");
      }
       

}


else if (getSettingValue('sso_statut') == 'lcs')
{
  include LCS_PAGE_AUTH_INC_PHP;
  include LCS_PAGE_LDAP_INC_PHP;
  list ($idpers,$login) = isauth();
  if ($idpers) {
      list($user, $groups)=people_get_variables($login, true);
      $lcs_tab_login["nom"] = $user["nom"];
      $lcs_tab_login["email"] = $user["email"];
      $long = strlen($user["fullname"]) - strlen($user["nom"]);
      $lcs_tab_login["fullname"] = substr($user["fullname"], 0, $long) ;
      foreach($groups as $value) {
          $lcs_groups[] = $value["cn"];
      }
      // A ce stade, l'utilisateur est authentifi par CAS
      // Etablir  nouveau la connexion  la base
      if (empty($db_nopersist))
          $db_c = mysql_pconnect($dbHost, $dbUser, $dbPass);
      else
          $db_c = mysql_connect($dbHost, $dbUser, $dbPass);
      if (!$db_c || !mysql_select_db ($dbDb)) {
          echo "\n<p>\n" . get_vocab('failed_connect_db') . "\n";
          exit;
      }

      if (is_eleve($login))
         $user_ext_authentifie = 'lcs_eleve';
      else
         $user_ext_authentifie = 'lcs_non_eleve';
      $password = '';
      $result = grr_opensession($login,$password,$user_ext_authentifie,$lcs_tab_login,$lcs_groups) ;
      // On crit les donnes de session et ferme la session
      session_write_close();
      $message = '';
      if ($result=="2") {
          $message = get_vocab("echec_connexion_GRR");
          $message .= " ".get_vocab("wrong_pwd");
      } else if ($result == "3") {
           $message = get_vocab("echec_connexion_GRR");
           $message .= "<br />". get_vocab("importation_impossible");
      } else if ($result == "4") {
          $message = get_vocab("echec_connexion_GRR");
          $message .= " ".get_vocab("causes_possibles");
          $message .= "<br />- ".get_vocab("wrong_pwd");
         $message .= "<br />- ". get_vocab("echec_authentification_ldap");
      }
        else if ($result == "5")
      {
        $message = get_vocab("echec_connexion_GRR");
        $message .= "<br />". get_vocab("connexion_a_grr_non_autorisee");
      }

      if ($message != '') {
          fatal_error(1, $message);
          die();
      }
      if (grr_resumeSession() ) {
           header("Location: ".page_accueil()."");
      }
  } else {
    // L'utilisateur n'a pas t identifi'
      if (getSettingValue("authentification_obli")==1) { // authentification obligatoire, l'utilisateur est renvoy vers une page de connexion
         require_once("include/session.inc.php");
         grr_closeSession($_GET['auto']);
         header("Location:".LCS_PAGE_AUTHENTIF);
      } else {
         header("Location: ".page_accueil().""); // authentification non obligatoire, l'utilisateur est simple visiteur
      }
   }
}
// Cas d'une authentification Lasso
if ((getSettingValue('sso_statut') == 'lasso_visiteur') or (getSettingValue('sso_statut') == 'lasso_utilisateur'))
{
  require_once SPKITLASSO;
  if (lassospkit_nameid() == NULL)
    {
      // S'il y a eu une erreur et que l'on revient, afficher
      // l'erreur. Cela annule la redirection de header(), mais
      // l'utilisateur pourra quand mme cliquer manuellement sur un
      // lien.
      $error = lassospkit_error();
      if (!empty($error))
	{
	  echo "SSO error:<br /><pre>$error</pre><br />";
	}

      // Pas encore authentifi - on se connecte:
      $return_url = $_SERVER['REQUEST_URI'];
      @header('Location: ' . lassospkit_federate_url($return_url));
      echo 'You will be redirected to: <a href="' . lassospkit_federate_url($return_url) . '">'
        . lassospkit_federate_url($return_url) . '</a>';
      exit();
    }

  // A ce stade, l'utilisateur est authentifi par Lasso
  $password = '';
  $login = lassospkit_userid(); // vide si pas encore fdr

  if (empty($login))
    {
      // Construit un identifiant unique
      $sql = "SELECT login FROM grr_utilisateurs
			WHERE login LIKE 'lasso_%'";
      $res = grr_sql_query($sql);
      $existing_users = array();
      for ($i = 0; ($row = grr_sql_row($res, $i)); $i++)
	$existing_users[] = $row[0];
      $max = 0;
      foreach ($existing_users as $user)
	{
	  if (preg_match('/lasso_(\d+)/', $user, $matches))
	    if ($matches[1] > $max)
	      $max = $matches[1];
	}
      $login = 'lasso_'.($max+1);

      // Stockage de la dfration
      lassospkit_set_userid($login);
    }

  $user_ext_authentifie = 'lasso';
  $tab_login["nom"] = "Anne";
  $tab_login["fullname"] = "Nonyme";
  $tab_login["email"] = "";
  $result = grr_opensession($login,$password,$user_ext_authentifie, $tab_login);
  // On crit les donnes de session et ferme la session
  session_write_close();
  $message = '';
  if ($result=="2")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= " ".get_vocab("wrong_pwd");
    }
  else if ($result == "3")
    {
      // L'utilisateur existe dj
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />". get_vocab("importation_impossible");
    }
  else if ($result == "4")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= " ".get_vocab("causes_possibles");
      $message .= "<br />- ".get_vocab("wrong_pwd");
      $message .= "<br />- ". get_vocab("echec_authentification_ldap");
  }
  else if ($result != "1")
  {
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />Cause inconnue.";
  }

  if ($message != '')
    {
      echo $message;
      die();
    }


  if (grr_resumeSession() )
  {
   header("Location: ".page_accueil()."");
  }
// Cas d'une authentification apache
}
else if ((getSettingValue('sso_statut') == 'http_visiteur') or (getSettingValue('sso_statut') == 'http_utilisateur'))
{
    // Nous utilisons les fonction d'authentification par PHP (plutt que par Apache)  l'aide des lignes :
    // header('WWW-Authenticate: Basic realm="..."'); et header('HTTP/1.0 401 Unauthorized');
    // Mais ces fonctions ne sont disponibles que si PHP est excut comme module Apache,
    // et non pas sous la forme d'un CGI.
    // Si PHP est en mode cgi il faut utiliser une recriture de l'url vie le module rewrite de apache :
    // Vous devez crer un fichier .htaccess ayant comme contenu
    //  <IfModule mod_rewrite.c>
    //  RewriteEngine on
    //  RewriteRule .* - [E=REMOTE_USER:%,L]
    //  </IfModule>
    // Cela permet de rcuprer dans $_SERVER['REMOTE_USER'] le login et le mot de passe
    // mais crypt :
    // on obtient le login et le password sous la forme : user:password


    // Cas le plus courant :
    if (isset($_SERVER['PHP_AUTH_USER']) && !empty($_SERVER['PHP_AUTH_USER'])) {
        $login = $_SERVER['PHP_AUTH_USER'];
    // Pour les versions plus anciennes de PHP < 4.1.0 (en fait inutile ici car GRR exige PHP > 4.3.1
    } else if (isset($HTTP_SERVER_VARS['PHP_AUTH_USER']) && !empty($HTTP_SERVER_VARS['PHP_AUTH_USER'])) {
        $login = $HTTP_SERVER_VARS['PHP_AUTH_USER'];
    // L'utilisateur est authentifi mais $_SERVER['PHP_AUTH_USER'] est vide, on tente de rcuprer le login dans $_SERVER['REMOTE_USER']
    } else if (isset($_SERVER['REMOTE_USER']) && !empty($_SERVER['REMOTE_USER'])) {
        // Cas ou PHP est en mode cgi
        if (preg_match('/Basic+(.*)$/i', $_SERVER['REMOTE_USER'], $matches) ) {
           // Si PHP est en mode cgi il faut utiliser une recriture de l'url vie le module rewrite de apache :
           // Vous devez crer un fichier .htaccess ayant comme contenu
           //  <IfModule mod_rewrite.c>
           //  RewriteEngine on
           //  RewriteRule .* - [E=REMOTE_USER:%,L]
           //  </IfModule>
           // Cela permet de rcuprer dans $_SERVER['REMOTE_USER'] le login et le mot de passe
           // mais crypt :
           // on obtient le login et le password sous la forme : user:password
           $identifiers = base64_decode($matches[1]);
           // on l'exporte dans un tableau
           $identifiers_tab = explode(':', $identifiers);
           // on rcupre le tout dans des variables
           $login = strip_tags($identifiers_tab[0]);
           // le mot de passe peut tre rcupr dans strip_tags($identifiers_tab[1]) mais on n'en a pas besoin ici
        } else {
        // Cas normal
            $login = $_SERVER['REMOTE_USER'];
        }
    // Cas de PHP4 en mode CGI sur IIS
    } else if (isset($_SERVER['HTTP_AUTHORIZATION']) && !empty($_SERVER['HTTP_AUTHORIZATION'])) {
        list($login, $pw) = explode(':', base64_decode(substr($_SERVER['HTTP_AUTHORIZATION'], 6)));
    } else {
        // on demande de s'identifier
        // A ce stade :
        // - soit l'utilisateur ne s'est pas encore identifi
        // - soit l'utilisateur s'est identifi mais de faon incorrecte
        // - soit l'utilisateur s'est identifi de faon correcte mais l'identifiant n'a pas pu tre rcupr.
        $my_message = "Module d'authentification de GRR";
        header('WWW-Authenticate: Basic realm="' . $my_message . '"');
        header('HTTP/1.0 401 Unauthorized');
        // en cas d'annulation
        echo begin_page(get_vocab("mrbs"),"no_session");
        echo "<h3>".get_vocab("wrong_pwd")."</h3>";
        echo "<h3>".get_vocab("connexion_a_grr_non_autorisee")."</h3>";
        echo "</body></html>";
        exit();
    }
    // A ce stade, l'utilisateur est authentifi et $login n'est pas vide via le serveur apache
    $user_ext_authentifie = 'apache';
    $password = '';
    $result = grr_opensession($login,$password,$user_ext_authentifie);
    // On crit les donnes de session et ferme la session
    session_write_close();
    $message = '';
    if ($result=="2")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= " ".get_vocab("wrong_pwd");
    }
    else if ($result == "3")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />". get_vocab("importation_impossible");
    }
     else if ($result != "1")
    {
      $message = get_vocab("echec_connexion_GRR");
      $message .= "<br />Cause inconnue.";
    }

  if ($message != '')
    {
      echo $message;
      die();
    }

  if (grr_resumeSession() )
  {
   header("Location: ".page_accueil()."");
  }
}
else
{
  if (getSettingValue("authentification_obli")==1)
    {
      if ($cook["path"] != '')
    {
      if (grr_resumeSession())
        {

          header("Location: ".page_accueil()."");
        }
      else
        {
          header("Location: ./login.php");
        }
    }
      else
    {
      header("Location: ./login.php");
    }
    }
  else
    {
      header("Location: ".page_accueil()."");
    }
}
?>
